## START: Set by rpmautospec
## (rpmautospec version 0.3.5)

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate version-sync

Name:           rust-version-sync0.8
Version:        0.8.1
Release:        %mkrel 0.2
Summary:        Simple crate for ensuring that version numbers in README files are updated

Group:          Development/Rust
BuildArch:      noarch

License:        MIT
URL:            https://crates.io/crates/version-sync
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * bump pulldown-cmark from 0.4 to 0.8
Patch:          version-sync-fix-metadata.diff
# * fix tests with toml 0.5.3:
#   https://github.com/mgeisler/version-sync/commit/33dc77f
Patch:          0001-markdown_deps-handle-test-output-from-toml-0.5.3.patch
# * port to latest pulldown-cmark
Patch:          0001-chore-Update-pulldown-cmark-to-0.7.patch

BuildRequires:  rust-packaging >= 21
BuildRequires:  rust-itertools0.8-devel
BuildRequires:  rust-proc-macro2-0.4-devel
BuildRequires:  rust-pulldown-cmark0.8-devel
BuildRequires:  rust-semver-parser0.9-devel
BuildRequires:  rust-syn0.15-devel
BuildRequires:  rust-toml0.5-devel
BuildRequires:  rust-url1-devel
# (tv) for pulldown-cmark0.8:
BuildRequires:  rust-bitflags1-devel
BuildRequires:  rust-syn1-devel

%global _description %{expand:
Simple crate for ensuring that version numbers in README files are
updated when the crate version changes.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       rust-itertools0.8-devel
Requires:       rust-proc-macro2-0.4-devel
BuildRequires:  rust-pulldown-cmark0.8-devel
Requires:       rust-semver-parser0.9-devel
Requires:       rust-syn0.15-devel
Requires:       rust-toml0.5-devel
Requires:       rust-url1-devel

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       rust-itertools0.8-devel
Requires:       rust-proc-macro2-0.4-devel
BuildRequires:  rust-pulldown-cmark0.8-devel
Requires:       rust-semver-parser0.9-devel
Requires:       rust-syn0.15-devel
Requires:       rust-toml0.5-devel
Requires:       rust-url1-devel

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif



%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.8.1-0.2.mga10
+ Revision: 2219666
- Mageia 10 Mass Rebuild
+ wally <wally>
- update RPM group to Development/Rust

* Mon Oct 23 2023 tv <tv> 0.8.1-0.1.mga10
+ Revision: 2000454
- imported package rust-version-sync0.8


* Thu Oct 19 2023 Thierry Vignaud <tv@mageia.org> 0.8.1-1.mga10
- Import from FC

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed May 17 2023 Fabio Valentini <decathorpe@gmail.com> - 0.8.1-10
- Regenerate with rust2rpm v24

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Dec 25 12:01:49 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.8.1-2
- Update pulldown-cmark to 0.8

* Sat Aug 29 19:44:45 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.8.1-1
- Initial package

